Bug 188734 - Tomcat application won't respond after a few hours of inactivity
Tomcat application won't respond after a few hours of inactivity
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: java-1.4.2-bea (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 13:28 EDT by Charles Merinsky
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 14:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Merinsky 2006-04-12 13:28:37 EDT
Description of problem:  I have a server with Redhat OS of RH9.  I have install 
sun jdk 1.5, Tomcat 5.0.2.8, and a J2EE application called MatrixOne.  The 
application works fine when Tomcat is first started. In other words I can log 
into my application and navigate through it with no errors.  But if I leave the 
application alone for a couple of hours, I can't even get to the Login page.  
The screen is just blank.  Tomcat is still running but is not responding.  I am 
running Tomcat on port 8090.


Version-Release number of selected component (if applicable): RH9


How reproducible:
Does it everytime.


Steps to Reproduce:
1. Start the Tomcat server.
2. Log into my application.
3. Leave it alone for 2 hours.
4. Tomcat hangs and won't display the Login page.
  
Actual results:
Blank page.  Looks like it is hanging.  Looks like a port collision but this is 
the only thing running on 8090.

Expected results:
Tomcat server should keep running and display my application Login page.

Additional info: Tried a few things but no luck.  Adde LD_ASSUME_KERNEL=2.5.2 
to catalina.sh but still no luck.
Comment 1 RHEL Product and Program Management 2006-08-23 17:39:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 RHEL Product and Program Management 2006-08-23 17:40:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Note You need to log in before you can comment on or make changes to this bug.